petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetCoordinateSection

Retrieve the layout of coordinate values over the mesh.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinateSection(DM dm, PetscSection *section)

Collective on dm

### Input Parameter

dm -The DM object

### Output Parameter

section -The PetscSection object

### See Also

DMGetCoordinateDM(), DMGetLocalSection(), DMSetLocalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages